((background (title #f ("Background" "I start with my original need for Lisp in the domain of Internet programming. This was not authoring of
          static WWW pages, but CGI programming in a better language than Perl") ()) (point #f ("I have used Lisp for many different purposes since the mid-eighties<p>I wanted to find out if Lisp could be used for server side CGI programming" "") ()) (items #f ((item #f ("Languages which are often used for CGI programming:" "" (items #f ((item #f ("Perl - a string manipulation language" "") ()) (item #f ("C - a system programming language" "") ()) (item #f ("Shell Script - hardly a programming language at all" "") ())) ())) ())) ()) (slide-space #f () ()) (point #f ("It is quite natural to consider better alternatives<p>CGI programming is not necessarily imperative programming" "") ()) (index-words #f ("Perl" "C" "Shell Script" "author's background") ())) (cgi1 (title #f ("CGI Programming" "In order to explore the nature of CGI programming we here take a closer look at the overall CGI scheme") ()) (image #f ("cgi1.gif" "The interaction between a browser and a CGI program" (vertical picture)) ()) (point #f ("The <em>functional programming</em> paradigm fits well with the CGI programming model<p>The state of the system can be carried from one WWW page to the other by functional means" "") ()) (index-words #f ("functional programming in relation to CGI programming") ())) (cgi2 (title #f ("CGI Programming with Program State" "In many CGI programs we need to store a 'program state'. Often, data is transferred to and from a database.
          We modify the previous picture in include this observation.") ()) (image #f ("cgi2.gif" "The interaction between a browser and a CGI program, which uses a database for storing the program state" (vertical picture)) ()) (point #f ("Many real world applications need to maintain program state which changes as a function of time<p>This calls for imperative programming techniques" "") ()) (index-words #f ("database, in the CGI model") ())) (cgi-scheme (title #f ("CGI Programming in Scheme" "We now return to CGI programming in Scheme.") ()) (point #f ("CGI programming is mainly functional programming" "") ()) (items #f ((item #f ("Our support of CGI Programming in Scheme" "" (items #f ((item #f ("A simple library to deal with the Common Gateway Interface" "" (items #f ((item #f ("Decoding of URL and browser data to Lisp data structures" "") ()) (item #f ("Encoding of Lisp data structures to URL format" "") ())) ())) ()) (item #f ("Generation of HTML (via mirrors)." "") ()) (item #f ("Other libraries, for instance dealing with time, colors, and reading/writing of text files." "") ())) ())) ())) ()) (slide-space #f () ()) (point #f ("From a practical point of view Scheme  <em>is</em>  a realistic language for CGI programming" "This conclusion is drawn from a variety of different examples, which we have implemented. Most of the examples
    have been used to support various aspects of 'Open University' students located off campus.") ()) (cross-references #f (((internet-reference #f ("The CGI library" "../../../lib/man/cgi.html") ()) (internet-reference #f ("The encode/decode library" "../../../lib/man/encode-decode.html") ()) (internet-reference #f ("The primitive HTML library" "../../../lib/man/html.html") ()) (internet-reference #f ("The HTML convenience library" "../../../lib/html4.0-loose/man/convenience.html") ()) (internet-reference #f ("Library overview" "../../../index.html") ()))) ()) (index-words #f ("cgi library" "html library") ())) (static-pages (title #f ("Programming static WWW pages in Scheme" "We will now return to the main topic of this talk, namely programming of ordinary, static WWW pages.") ()) (point #f ("Given the HTML Scheme library it became attractive to write plain and static WWW pages in Scheme too" "") ()) (items #f ((item #f ("The main advantages compared to an HTML solution:" "" (items #f ((item #f ("<b>Abstractions</b>  of HTML details" "We will return to both abstraction and automation later in the presentation.") ()) (item #f ("<b>Automation</b>  of routine tasks" "") ())) ())) ())) ()) (slide-space #f () ()) (point #f ("The step from HTML to a Scheme basis is similar to the expected transition from HTML to XML (abstraction only)" "This observation is in relation to abstraction. XML supports 'your own' domain-specific tags.
    However, in relation to automation of routine tasks, XML has nothing to offer.") ()) (index-words #f ("static WWW pages") ())) (laml (title #f ("LAML: Lisp Abstracted Markup Language" "We now introduce LAML, which basically is Scheme with access to libraries which mirror HTML.
          In addition, we support a number of functions which in our experience are very helpful during
          a typical WWW authoring process. Some of these functions are organized in document styles.") ()) (items #f ((item #f ("LAML fundamentals:" "" (items #f ((item #f ("The Scheme programming language itself" "") ()) (item #f ("A mirror of HTML in Scheme" "") ()) (item #f ("A number of useful libraries" "") ()) (item #f ("A number of LAML document styles" "") ())) ())) ())) ()) (slide-space #f () ()) (point #f ("LAML = Scheme + The HTML mirror + The LAML document styles" "") ()) (index-words #f ("LAML") ())) (mirroring (title #f ("HTML mirroring" "") ()) (point #f ("HTML is mirrored as functions in Scheme on an element by element basis") ()) (items #f ((item #f ("Three generation of HTML mirroring" "" (items #f ((item #f ("Ad hoc mirroring" "" (items #f ((item #f ("Manual programming of 'tags' when needed" "") ())) ())) ()) (item #f ("Simple generic mirroring" "" (items #f ((item #f ("The HTML mirror is generated on the basis of lists of single of double tags" "") ()) (item #f ("<em>If you have made one mirror function you have made them all</em>" "") ())) ())) ()) (item #f ("Accurate and systematic mirroring" "" (items #f ((item #f ("Based on a parsed representation of the HTML4.0 DTD" "") ()) (item #f ("Accurate handling of attributes (but no validation)" "") ()) (item #f ("Three layers: basis, surface, convenience" "") ())) ())) ())) ())) ())) ()) (cross-references #f (((internet-reference #f ("The HTML Ad hoc mirror" "../../../lib/man/html.html") ()) (internet-reference #f ("The HTML simple generic mirror" "../../../lib/man/html-v1.html") ()) (internet-reference #f ("The HTML4.0 loose accurate mirror - basis" "../../../lib/html4.0-loose/man/basis.html") ()) (internet-reference #f ("The HTML4.0 loose accurate mirror - surface" "../../../lib/html4.0-loose/man/surface.html") ()))) ()) (index-words #f () ())) (ex1 (title #f ("An LAML Document Example" "It is now time to study a concrete example of an LAML document") ()) (source-program #f ("../../examples/simple-pages/simple-page-1.laml" "" (("style" "" (255 0 0) bold) ("generic-page-1" "" (255 0 0) bold) ("con-par" "" (0 0 0) bold) ("con-space" "" (0 0 0) bold) ("table-1" "" (255 0 0) bold) ("em " "" (0 0 255) bold) ("b " "" (0 0 255) bold 2) ("make-color" "" (255 0 0) bold)) (slide-inline book-inline) "We see a simple WWW pages written in LAML. The first interesting thing is the function generic-page-1, which
    generates all the html, body and title stuff, which is found on any WWW pages written in HTML.
    The con-par function is just a string-append variant, which concatenates paragraphs of text.
    The functions em and b mirror the similar HTML tags.
    The table-1 function is one of our convenient abstractions of HTML tables. We make a three column table with
    given widths, and a border of 2 pixels. The table proper is defined by a list of table rows. Each row is itself a list.
    The make-color function makes a color from red, green, blue components.
   ") ()) (cross-references #f (((internet-reference #f ("The interpreted HTML version of the page" "../../../examples/simple-pages/simple-page-1.html") ()) (internet-reference #f ("The raw HTML version of the page" "external-html/protected-simple-page-1.html" "../../../examples/simple-pages/simple-page-1.html") ()) (internet-reference #f ("The HTML library" "../../../lib/man/html.html") ()))) ()) (index-words #f ("generic-page-1 (LAML function)" "em (LAML function)" "b (LAML function)" "table-1 (LAML function)") ())) (html4-ex (title #f ("An example of a simple HTML4.0 page" "We here show a simple LAML page, using HTML mirror functions from the surface mirror.
          We also link to generated HTML output. This page has been produced by pretty printing
          the HTML file (using the LAML pretty printer for HTML) followed by a HTML protection of
          the HTML special characters. Thus, the automatic production of this pages is an excellent
          example of the power of the LAML approach.") ()) (point #f ("Below we show a simple page using the HTML4.0 accurate mirror in Scheme") ()) (source-program #f ("includes/html4-demo.laml" "" () (slide-inline book-inline) "An LAML document using the most advanced mirror. The loading stuff can be seen by browsing
      to the program below") ()) (source-program #f ("includes/html4-loading-stuff.scm" "" () (slide-external book-inline) "The loading stuff used by the LAML example above. ") ()) (cross-references #f (((internet-reference #f ("The resulting HTML page" "../includes/html4-demo.html") ()) (internet-reference #f ("The resulting HTML page - verbatim" "external-html/protected-html4-demo.html") ()) (internet-reference #f ("The HTML surface library" "../../../lib/html4.0-loose/man/surface.html") ()))) ()) (index-words #f () ())) (html4-ex1 (title #f ("Another example page" "") ()) (source-program #f ("includes/html4-another-demo.laml" "" () (slide-inline book-inline) "Another LAML document. ") ()) (cross-references #f (((internet-reference #f ("The resulting HTML page" "../includes/html4-another-demo.html") ()) (internet-reference #f ("The resulting HTML page - verbatim" "external-html/protected-html4-another-demo.html") ()))) ()) (index-words #f () ())) (html4-ex1-abstracted (title #f ("An abstracted version" "") ()) (source-program #f ("includes/html4-another-demo-abstracted.laml" "" () (slide-inline book-inline) "An abstracted version of the previous example.") ()) (source-program #f ("includes/html4-extended-loading-stuff.scm" "" () (slide-external book-inline) "The loading stuff used by the abstracted LAML example above. ") ()) (exercise tabular-function (tabular-function "A tabular function" (formulation #f ("Make a WWW page with a table that maps n to fak(n), fib(n), or another similar function for n running from 1 to a constant N.<p>The WWW page should be generated from a Scheme program that uses LAML.<p>Use one of the existing LAML table functions from the HTML4.0 convenience library.<p>Example of a generated WWW page for fak between 1 and 20:<p><table border = \"0\"><tr><td width = \"20\" valign = \"top\"></td><td width = \"*\" valign = \"top\"><table border = \"2\"><tr><th>n</th><th>(fak n)</th></tr><tr><td width = \"100\" valign = \"top\" bgcolor = \"#808080\">1</td><td width = \"300\" valign = \"top\" bgcolor = \"#ffff00\">1</td></tr><tr><td width = \"100\" valign = \"top\" bgcolor = \"#808080\">2</td><td width = \"300\" valign = \"top\" bgcolor = \"#ffff00\">2</td></tr><tr><td width = \"100\" valign = \"top\" bgcolor = \"#808080\">3</td><td width = \"300\" valign = \"top\" bgcolor = \"#ffff00\">6</td></tr><tr><td width = \"100\" valign = \"top\" bgcolor = \"#808080\">4</td><td width = \"300\" valign = \"top\" bgcolor = \"#ffff00\">24</td></tr><tr><td width = \"100\" valign = \"top\" bgcolor = \"#808080\">5</td><td width = \"300\" valign = \"top\" bgcolor = \"#ffff00\">120</td></tr><tr><td width = \"100\" valign = \"top\" bgcolor = \"#808080\">6</td><td width = \"300\" valign = \"top\" bgcolor = \"#ffff00\">720</td></tr><tr><td width = \"100\" valign = \"top\" bgcolor = \"#808080\">7</td><td width = \"300\" valign = \"top\" bgcolor = \"#ffff00\">5040</td></tr><tr><td width = \"100\" valign = \"top\" bgcolor = \"#808080\">8</td><td width = \"300\" valign = \"top\" bgcolor = \"#ffff00\">40320</td></tr><tr><td width = \"100\" valign = \"top\" bgcolor = \"#808080\">9</td><td width = \"300\" valign = \"top\" bgcolor = \"#ffff00\">362880</td></tr><tr><td width = \"100\" valign = \"top\" bgcolor = \"#808080\">10</td><td width = \"300\" valign = \"top\" bgcolor = \"#ffff00\">3628800</td></tr><tr><td width = \"100\" valign = \"top\" bgcolor = \"#808080\">11</td><td width = \"300\" valign = \"top\" bgcolor = \"#ffff00\">39916800</td></tr><tr><td width = \"100\" valign = \"top\" bgcolor = \"#808080\">12</td><td width = \"300\" valign = \"top\" bgcolor = \"#ffff00\">479001600</td></tr><tr><td width = \"100\" valign = \"top\" bgcolor = \"#808080\">13</td><td width = \"300\" valign = \"top\" bgcolor = \"#ffff00\">6227020800</td></tr><tr><td width = \"100\" valign = \"top\" bgcolor = \"#808080\">14</td><td width = \"300\" valign = \"top\" bgcolor = \"#ffff00\">87178291200</td></tr><tr><td width = \"100\" valign = \"top\" bgcolor = \"#808080\">15</td><td width = \"300\" valign = \"top\" bgcolor = \"#ffff00\">1307674368000</td></tr><tr><td width = \"100\" valign = \"top\" bgcolor = \"#808080\">16</td><td width = \"300\" valign = \"top\" bgcolor = \"#ffff00\">20922789888000</td></tr><tr><td width = \"100\" valign = \"top\" bgcolor = \"#808080\">17</td><td width = \"300\" valign = \"top\" bgcolor = \"#ffff00\">355687428096000</td></tr><tr><td width = \"100\" valign = \"top\" bgcolor = \"#808080\">18</td><td width = \"300\" valign = \"top\" bgcolor = \"#ffff00\">6402373705728000</td></tr><tr><td width = \"100\" valign = \"top\" bgcolor = \"#808080\">19</td><td width = \"300\" valign = \"top\" bgcolor = \"#ffff00\">121645100408832000</td></tr><tr><td width = \"100\" valign = \"top\" bgcolor = \"#808080\">20</td><td width = \"300\" valign = \"top\" bgcolor = \"#ffff00\">2432902008176640000</td></tr></table></td></tr></table>") ())) ()) (exercise linear-to-tabular (linear-to-tabular "A tabular list of input" (formulation #f ("Read a linear list of data from a file.
       You can assume that the data is represented as a Lisp list.<p>Present the data on HTML page using a table in one of the following ways:<p><ul><li type = \"disc\">Each consequtive n elements from the list forms a table row.</li><li type = \"disc\">Each consequtive n elements from the ist forms a table column.</li></ul><p>You can assume that n is positive integer.<p>Example: If we input the list<p><pre>   (1 2 3 4 5 6 7 8)</pre><p>with n = 3 into columns we get the table<p><table border = \"0\"><tr><td width = \"20\" valign = \"top\"></td><td width = \"*\" valign = \"top\"><table border = \"1\"><tr><td>1</td><td>4</td><td>7</td></tr><tr><td>2</td><td>5</td><td>8</td></tr><tr><td>3</td><td>6</td><td></td></tr></table></td></tr></table><p>You can make your own table function, or you can use
       one of the table functions from LAML (in the convenience library).<p>The table functions typically require a list of rows. You can program
        your own functions that make these rows from your input list,
        or you can use the function sublist-by-rows and sublist-by-columns
        (from the general library).") ())) ()) (cross-references #f (((internet-reference #f ("The resulting HTML page" "../includes/html4-another-demo-abstracted.html") ()))) ()) (index-words #f () ())) (syntactic-laml-issues (title #f ("Syntactic LAML issues" "The example from above raises a number of relevant syntactic issues, which we will discuss here and on the next page") ()) (point #f ("Which parameter profile is used for the HTML mirror functions?<p>We may want to mirror the HTML tags as accurate as possible." "") ()) (syntax #f ("&lt;f a1=\"v1\" a2=\"v2\"&gt; Some text. More text&lt;/f&gt;" "We show the syntax of a tag application f on some text. 
    The tag application passes the attributes a1 and a2 with given values") ()) (image #f ("parameter-profiles.gif" "A table shown four possible parameter profiles of HTML mirror functions in Scheme.
    We use the third possibility in our libraries and in our examples" (vertical picture)) ()) (cross-references #f (((internet-reference #f ("A more fundamental HTML library" "../../../lib/man/html-v1.html") ()))) ()) (index-words #f ("parameter profile of LAML functions") ())) (html-mirror (title #f ("The HTML4.0 Mirror in LAML" "We will here describe the HTML4.0 loose mirror in LAML") ()) (point #f ("The HTML4.0 mirror is an exact mirror of version 4.0 of HTML (loose)" "") ()) (syntax #f ("(f 'a1 \"v1\" 'a2 \"v2\" \"Some text.\" \"More text\")" "We show a contrast between HTML syntax and LAML syntax.
    The tag application passes the attributes a1 and a2 with given values") ()) (items #f ((item #f ("Mirror characteristica:" "" (items #f ((item #f ("The syntactic differences between HTML and LAML are minimal" "") ()) (item #f ("Textual contents is passed as quoted strings" "") ()) (item #f ("White space is added in between content string unless explicitly suppressed" "" (items #f ((item #f ("<kbd>(f 'a1 \"v1\" 'a2 \"v2\" \"Some text\" _ \".\")</kbd>" "") ())) ())) ()) (item #f ("CSS attributes can be given side by side with HTML attributes" "" (items #f ((item #f ("<kbd>(f 'css:a1 \"v1\" 'a2 \"v2\" \"Some text.\")</kbd>" "") ())) ())) ()) (item #f ("HTML attributes are checked during the evaluation process" "") ())) ())) ())) ()) (index-words #f () ())) (semiconstant-strings (title #f ("Semi constant strings in Scheme" "When we compare an SGML family language with a Lisp family programming language
          we find some major syntactical differences. The observation about semi-constant strings
          is one of the most important") ()) (point #f ("It would be convenient to support a  <em>semi constant string</em>  concept analogous to  <em>quasi quoted lists</em>  in Lisp" "") ()) (program #f ("  &lt;point&gt; 
    A text with a 
    &lt;a href=\"subsection/sec1.html\"&gt;link&lt;/a&gt; 
    to a &lt;b&gt;subsection&lt;/b&gt;
  &lt;/point&gt;" "This is a typical HTML/XML fragment") ()) (program #f ("<b><font color = \"#ff0000\">  (point
    \"A text with a 
     (a \"link\" 'href \"subsection/sec.html\")
     to a (b \"subsection\")
    \")</font></b>" "Here we attempt to use a semi-constant string in Scheme. This does actually not make sense.") ()) (program #f ("  (point
    (string-append
      \"A text with a \" 
       (a \"link\" 'href \"subsection/sec.html\")
      \" to a \" (b \"subsection\")))" "Here we see the solution we use in all our examples. This uses a plain Scheme programming approach.") ()) (slide-space #f () ()) (point #f ("We have dropped the idea of supporting semi-constant strings in Scheme<p>Instead we go for distinguished editor support of the 'string-append' forms" "") ()) (index-words #f () ())) (laml-abstractions (title #f ("Abstractions in LAML" "We now return to one of the main points of the talk, namely how to take advantage of 
          abstraction in an LAML document. Notices that similar things can be done in XML.") ()) (point #f ("A powerful abstraction mechanism is extremely useful for the professional WWW author<p>In that respect WWW authoring is analogous to program development" "") ()) (source-program #f ("includes/abstraction-demo.laml" "" (("(load (string-append (startup-directory " "))" (0 130 0) bold 1) ("standard-intro" "" (255 0 0) bold 1) ("present-faq-entry" "" (255 0 0) bold 1) ("faq-entry  " "" (255 0 0) bold 3) ("standard-signature" "" (255 0 0) bold 1)) (slide-inline book-inline) "A complete LAML WWW page. We have introduced a number of 'ad hoc' abstractions, the 
      implementation of which is shown below.
     ") ()) (cross-references #f (((internet-reference #f ("The resulting HTML page" "../includes/abstraction-demo.html") ()))) ()) (source-program #f ("includes/functions.scm" "" (("(standard-intro header)" "" (255 0 0) bold 1) ("(faq-entry who question answer)" "" (255 0 0) bold 1) ("faq-who" "" (255 85 85) bold 1) ("faq-question" "" (255 85 85) bold 1) ("faq-answer" "" (255 85 85) bold 1) ("(present-faq-entry entry)" "" (255 0 0) bold 1) ("(standard-signature)" "" (255 0 0) bold 1)) (slide-external book-external) "The implementation of the abstractions. 
     ") ()) (slide-space #f () ()) (point #f ("The developed LAML document styles represent sets of domain specific abstractions" "") ()) (index-words #f ("ad hoc LAML abstractions" "FAQ example") ())) (url-abstractions (title #f ("URL abstraction" "We will here mention a very useful area of abstraction, namely the possibility to abstracts from
          part of the details in an URL") ()) (point #f ("By abstracting from certain details in an URL it becomes possible to redirect a set of URLs systematically via redefinition 
    of a single Scheme function" "") ()) (items #f ((item #f ("The URL of this slide page:" "" (items #f ((item #f ("<pre>http://www.cs.auc.dk/~normark/scheme/slides/lugm-99-amsterdam/html/lugm99-slide-url-abstractions.html</pre>" "") ())) ())) ()) (item #f ("A possible abstraction of this URL:" "" (items #f ((item #f ("<pre>(laml-root-url lugm-slides  (slide-url 'lugm99 'url-abstractions))</pre>" "") ())) ())) ())) ()) (slide-space #f () ()) (point #f ("We have used this technique to 'switch' all addresses in a large material from an Internet location to a location on a CD" "") ()) (index-words #f () ())) (laml-styles (title #f ("Overview of LAML styles" "An LAML style represents a collection of related abstractions, which supports authoring of documents in a particular domain.
          This page gives an overview of existing document styles in LAML") ()) (point #f ("During the LAML project we have developed a number of useful document styles" "") ()) (items #f ((item #f ("LAML document styles:" "" (items #f ((item #f ("A manual style for documentation of programmatic library and tool interfaces" "") ()) (item #f ("LENO: A lecture note style for annotated slides" "") ()) (item #f ("A questionnaire document style" "") ()) (item #f ("A course home page style" "") ()) (item #f ("A very simple LaTeX-like article style" "") ()) (item #f ("An elucidative programming style for internal documentation of Scheme programs" "") ())) ())) ())) ()) (cross-references #f (((internet-reference #f ("Questionnaire example" "../../../examples/questionnaire/index.html") ()) (internet-reference #f ("Course Home page examples" "../../../examples/course-plan/index.html") ()) (internet-reference #f ("Article example" "../../../examples/article/index.html") ()))) ()) (index-words #f () ())) (manual-ex (title #f ("Example of the manual document style" "The manual styles is oriented towards documentation of the external and programmatic aspect of a Scheme program") ()) (point #f ("The manual style has been used to document the LAML software package via a tool,
    which extracts  particular  <em>doc comments</em>  from a Scheme program" "") ()) (source-program #f ("../../styles/manual/man/manual.laml" ("; Top level functions" "; End top level functions") (("; Top level functions" "" (145 145 145) plain) ("; End top level functions" "" (145 145 145) plain) ("(manual-section" "" (255 0 0) bold) ("(manual-page  " "" (255 0 0) bold 2) ("(section-title" "" (255 85 85) bold 1) ("(section-body" "" (255 85 85) bold 1) ("(title" "" (255 85 85) bold 2) ("(form" "" (255 85 85) bold 2) ("(description" "" (255 85 85) bold 2) ("(parameters" "" (255 85 85) bold 2) ("(parameter  " "" (255 85 85) bold 3)) (slide-inline book-inline) "This shows an excerpt of a typical manual style LAML document. 
    Actually, the excerpt is taken from the manual which document the manual facility itself.
    This is a little circular, but quite realistic. Using the nearby cross reference you can see
    the resulting WWW page") ()) (cross-references #f (((internet-reference #f ("The resulting manual page" "../../../styles/manual/man/manual.html#SECTION2") ()))) ()) (index-words #f ("manual document style") ())) (leno-ex (title #f ("Example of the lecture note document style" "On this page we show an example of the most substantial
          LAML document style developed to date. It is called LENO:
          A lecture note style. The slides you are looking at right
          now are written in LENO. Therefore we show the underlying LENO
          source of this page to illustrate our approach.") ()) (point #f ("These slides are written in LAML by means of the lecture note style" "") ()) (source-program #f ("goerlitz.laml" ("(note-page 'leno-ex" "; end leno-ex") (("note-page" "" (255 0 0) bold) ("title" "" (255 85 85) bold) ("point  " "" (255 85 85) bold 2) ("source-program" "" (255 85 85) bold) ("index-words  " "" (255 85 85) bold)) (slide-inline book-inline) "This is the LAML expression which generates the current slide. 
      You can easily recognize the point clauses above and below. The
      source-program clause inserts the large middle LAML document excerpt.") ()) (point #f ("The program excerpt above is taken directly from the LAML source
      of these slides" "") ()) (index-words #f ("LENO" "Lecture note style (example of)") ())) (elucidator-ex (title #f ("Example of the Elucidator document style" "As the last LAML document style we take a look at the Scheme Elucidator style.") ()) (point #f ("The elucidator document styles support a variant of literate programming for Scheme<br>in which we document the internal aspects of a program" "") ()) (cross-references #f (((internet-reference #f ("An Elucidator demo (small example)" "../../../examples/elucidator/time/time.html") ()) (internet-reference #f ("The Elucidator documentation (large example)" "../../../styles/elucidator/doc/html/index.html") ()) (internet-reference #f ("Example of the Elucidator's textual documentation format" "../../../styles/elucidator/man/elucidator.html#SECTION7") ()))) ()) (items #f ((item #f ("Characteristics of the Scheme Elucidator:" "" (items #f ((item #f ("The documentation and the program are shown in a two column layout with lots of links in between them" "") ()) (item #f ("The documentation can either be defined using a simple, specialized markup language or via LAML expressions" "") ()) (item #f ("The program source files are not affected by our documentation efforts" "") ()) (item #f ("The Elucidator is language dependent" "") ()) (item #f ("Most of the functionality of the Elucidator is replicated in Emacs, such that it is convenient to
                 document a program during the process of program development" "") ())) ())) ())) ()) (index-words #f ("Elucidator" "literate programming" "Emacs") ())) (laml-automations (title #f ("Automation with LAML" "We now turn to the other main point of the LAML approach. This is the possibility to automate
          routine tasks in the authoring process via programmed solutions.") ()) (point #f ("Having a programming language available 'anytime and anywhere' makes it possible to automate a variety of
    tasks, which otherwise should be carried out manually" "") ()) (items #f ((item #f ("Examples of LAML 'automations':" "" (items #f ((item #f ("Insertion of quotations from external files" "") ()) (item #f ("Checking the validity of links to some external nodes" "") ())) ())) ())) ()) (slide-space #f () ()) (point #f ("In many practical situations 'abstraction' and 'automation' go hand in hand<p>Non-trivial 'automations' can be considered as LAML-based tools" "") ()) (index-words #f () ())) (insert-quotation (title #f ("Insertion of quotations from external files" "Here we illustrate how to insert excerpts from external files into a note page (a slide). We have used
          this facility several times in this set of slides already presented") ()) (point #f ("Automatic and programmed insertion of excerpts from external material is extremely useful in non-trivial documents<p>Superimposition of decorations (fonts and colors) makes it possible to focus the readers attention" "") ()) (source-program #f ("includes/quote-1" "" (("read-text-file-between-marks" "" (255 0 0) bold)) (slide-inline book-inline) "The application of the Scheme functions which returns a selected part of an external file") ()) (source-program #f ("includes/quote-3" "" (("read-text-file-including-marks" "" (255 0 0) bold)) (slide-inline book-inline) "A variant of the function shown above which includes the marks in the extracted text string") ()) (source-program #f ("includes/quote-2" "" (("colorize-substrings" "" (255 0 0) bold) ("read-text-file-between-marks" "" (255 0 0) bold) ("font-and-color-specification" "" (0 130 0) bold)) (slide-inline book-inline) "Additional superimposition of colors and fonts, as specified by font-and-color-specification") ()) (slide-space #f () ()) (point #f ("We use these facilities a lot in course materials in the area of programming" "") ()) (index-words #f () ())) (tool-overview (title #f ("Overview of LAML tools" "") ()) (point #f ("LAML is accompanied by a number of useful tools" "") ()) (items #f ((item #f ("LAML tools" "" (items #f ((item #f ("SchemeDoc: extracts interface comments from a Scheme source file" "" (items #f ((item #f ("Inspirred from JavaDoc" "") ()) (item #f ("Most LAML manuals a produced by SchemeDoc together with the manual document style" "") ())) ())) ()) (item #f ("The calendar tool" "") ()) (item #f ("The HTML mirroring tools" "") ()) (item #f ("A bibtex parser and pretty printer" "") ()) (item #f ("A simple XML parser and pretty printer" "") ()) (item #f ("The Scheme pretty printer" "") ()) (item #f ("A HTML parser and pretty printer" "") ()) (item #f ("Others..." "") ())) ())) ())) ()) (cross-references #f (((internet-reference #f ("Calendar examples" "../../../examples/calendar/index.html") ()) (internet-reference #f ("Bibtex example" "../../../examples/bibtex/index.html") ()))) ()) (index-words #f () ())) (laml-tools (title #f ("An example of an LAML tool: SchemeDoc" "We illustrate the ideal of an LAML with the SchemeDoc tool. This tool
          is inspired from JavaDoc and similar tools.") ()) (point #f ("Problem: Extract selected comments from a Scheme program source file in order to produce external documentation of a programmatic interface<p>Solution: An LAML-based tool which interfaces to the Manual document style" "") ()) (cross-references #f (((internet-reference #f ("An example of SchemeDoc generated documentation" "../../../lib/man/cgi.html") ()) (internet-reference #f ("The LAML file which binds the processing together" "../../../lib/man/cgi.laml") ()) (internet-reference #f ("The Scheme source file" "../../../lib/cgi.scm") ()))) ()) (image #f ("schemedoc.gif" "This figure illustrates the process implemented by the SchemeDoc tool.
    The main idea is to translate the lexical Lisp comments to syntactic elements.
    Given this, it is easy to parse the translated program and to extract the relevant comments" (vertical picture)) ()) (index-words #f ("SchemeDoc tool") ())) (emacs-env (title #f ("An Emacs-based LAML environment" "We here briefly discuss an LAML environment in which the Emacs text editor plays an important role") ()) (point #f ("It may be a problem for many WWW authors to write documents using Lisp syntax<p>An environment with good editor support can alleviate some of these problems" "") ()) (items #f ((item #f ("LAML support via Emacs:" "" (items #f ((item #f ("Scheme processing an LAML file via a single keystroke" "") ()) (item #f ("Editor support which compensates for the lack of semi-constant strings" "") ()) (item #f ("Special support of individual LAML document styles:" "" (items #f ((item #f ("Advanced template support of all LENO source forms" "") ()) (item #f ("Advanced support of elucidative programming" "") ())) ())) ())) ())) ())) ()) (cross-references #f (((note-reference #f ("Semi-constant strings (earlier slide)" goerlitz semiconstant-strings) ()) (internet-reference #f ("Overview of the Elucidator editor support" "../../../styles/elucidator/man/elucidator.html#SECTION8") ()))) ()) (index-words #f ("Emacs and LAML support" "LAML support via Emacs") ())) (conclusions (title #f ("Conclusions: The LAML approach" "An finally the conclusions based on or LAML work until now") ()) (slide-space #f () ()) (items #f ((item #f ("In conclusion" "" (items #f ((item #f ("Using LAML, the source of a WWW document is a program in Scheme" "") ()) (item #f ("A functional programming language is much better for our purposes than an imperative programming language" "") ()) (item #f ("Lisp can be used successfully as a markup language" "") ()) (item #f ("There is a tradeoff between 'pains' (using Lisp syntax and handling errors) and 'gains' (abstraction and automation)" "") ()) (item #f ("Homogeneous syntactic conventions for all future LAML document styles should be considered" "") ()) (item #f ("Modern functional programming languages would push on the type system in order to ensure grammatical correctness" "") ()) (item #f ("In the Lisp world flexibility and pragmatic solutions are more important than static type checking" "") ())) ())) ())) ()) (slide-space #f () ()) (point #f ("I write all my WWW pages in LAML<p>Via definitions of appropriate document styles my own productivity is increasing" "") ()) (index-words #f () ())))